import type Cropper from 'cropperjs';
import type { CSSProperties, ExtractPropTypes } from 'vue';
import type CropperImage from './cropper-image.vue';
import type CropperModal from './cropper-modal.vue';
export interface CropendResult {
    imgBase64: string;
    imgInfo: Cropper.Data;
}
export declare const defaultCropperOptions: Cropper.Options;
export declare const cropperImageProps: {
    readonly src: {
        readonly type: import("vue").PropType<string>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly alt: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly realTimePreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "360px", boolean>;
    readonly crossorigin: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<"" | "anonymous" | "use-credentials">, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly imageStyle: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<CSSProperties>, unknown, unknown, () => {}, boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Cropper.Options<EventTarget>>, unknown, unknown, () => {}, boolean>;
};
export declare const cropperImageEmits: {
    readonly cropend: (params: CropendResult) => boolean;
    readonly onReady: (cropper: Cropper) => boolean;
    readonly cropendError: () => boolean;
};
export declare const maskMode: readonly ["fade-in", "default"];
export declare const cropperModalProps: {
    readonly circled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly avatar: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly avatarSize: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, 64, boolean>;
    readonly avatarType: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"circle" | "square">, unknown, unknown, () => "circle", boolean>;
    readonly hideDelete: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly title: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "图片裁剪", boolean>;
    readonly borderType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "dashed" | "solid" | "dotted", unknown, "dashed", boolean>;
    readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
    readonly uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
    readonly uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 24, boolean>;
    readonly uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly uploadTip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly maskMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "default" | "fade-in", unknown, "default", boolean>;
    readonly maskText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "修改", boolean>;
    readonly maskHeight: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "24px", boolean>;
    readonly maskTextSize: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "14px", boolean>;
};
export declare const cropperModalEmits: {
    readonly confirm: (params: {
        blob: Blob;
        previewSource: string;
    }) => boolean;
    readonly 'update:avatar': (avatar: string) => boolean;
};
export type CropperImageProps = ExtractPropTypes<typeof cropperImageProps>;
export type CropperModalProps = ExtractPropTypes<typeof cropperModalProps>;
export type CropperImageEmits = typeof cropperImageEmits;
export type CropperModalEmits = typeof cropperModalEmits;
export type CropperImageInstance = InstanceType<typeof CropperImage>;
export type CropperModalInstance = InstanceType<typeof CropperModal>;
